IntelliColorPicker Class Reference

The IntelliColorPicker manages the selected colors for one whole project. More...

`#include <IntelliColorPicker.h>`

## Public Member Functions

| IntelliColorPicker ()
| IntelliColorPicker constructor, setting 2 preset colors, be careful, theese color may change in production. More...
virtual | ~IntelliColorPicker ()
| IntelliColorPicker destructor clears up his used memory, if there is some. More...
void | swapColors ()
| A function switching primary and secondary color. More...
QColor | getFirstColor () const
| A function to read the primary selected color. More...
QColor | getSecondColor () const
| A function to read the secondary selected color. More...
void | setFirstColor (QColor Color)
| A function to set the primary color. More...
void | setSecondColor (QColor Color)
| A function to set the secondary color. More...

## Detailed Description

The IntelliColorPicker manages the selected colors for one whole project.

Definition at line 14 of file IntelliColorPicker.h.

## Constructor & Destructor Documentation

## IntelliColorPicker()

IntelliColorPicker::IntelliColorPicker | ( |  | ) |

IntelliColorPicker constructor, setting 2 preset colors, be careful, theese color may change in production.

Definition at line 3 of file IntelliColorPicker.cpp.

## ~IntelliColorPicker()

IntelliColorPicker::~IntelliColorPicker | ( |  | ) |

virtual

IntelliColorPicker destructor clears up his used memory, if there is some.

Definition at line 7 of file IntelliColorPicker.cpp.

## Member Function Documentation

## getFirstColor()

QColor IntelliColorPicker::getFirstColor | ( |  | ) | const

A function to read the primary selected color.

Returns
  Returns the primary color.

Definition at line 15 of file IntelliColorPicker.cpp.

## getSecondColor()

QColor IntelliColorPicker::getSecondColor | ( |  | ) | const

A function to read the secondary selected color.

Returns
  Returns the secondary color.

Definition at line 19 of file IntelliColorPicker.cpp.

## setFirstColor()

void IntelliColorPicker::setFirstColor | ( | QColor | Color | ) |

A function to set the primary color.

Parameters

  Color | - The color to be set as primary.

Definition at line 23 of file IntelliColorPicker.cpp.

## setSecondColor()

void IntelliColorPicker::setSecondColor | ( | QColor | Color | ) |

A function to set the secondary color.

Parameters

  Color | - The color to be set as secondary.

Definition at line 27 of file IntelliColorPicker.cpp.

## swapColors()

void IntelliColorPicker::swapColors | ( |  | ) |

A function switching primary and secondary color.

Definition at line 11 of file IntelliColorPicker.cpp.

The documentation for this class was generated from the following files:

- src/IntelliHelper/IntelliColorPicker.h
- src/IntelliHelper/IntelliColorPicker.cpp